/* sanitize.cssと頻出CSSを合体させてます */
@import url("https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@400;500;700&display=swap");

/* Document
 * ========================================================================== */

* {
  margin: 0;
  padding: 0;
}

*,
::before,
::after {
  box-sizing: border-box;
}

::before,
::after {
  text-decoration: inherit;
  vertical-align: inherit;
}

html {
  background-color: #fff;
  cursor: default;
  scroll-behavior: smooth;
  -moz-tab-size: 4;
  tab-size: 4;
  -webkit-tap-highlight-color: transparent;
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  word-break: break-word;
  line-height: 1.4;
  font-family: 'Noto Sans JP', sans-serif;
}

body {
  margin: 0;
}

/* Sections
  * ========================================================================== */
header {
  z-index: 90;
  position: fixed;
  width: 100vw;
}

article {
  scroll-margin-top: 3rem;
  padding-block: 80px;
}

section.common-inner {
  overflow: hidden;
  width: 90%;
  max-width: 960px;
  margin-inline: auto;
}

h1 {
  font-size: 3rem;
  font-weight: 700;
  line-height: 1.4em;
  padding-inline: 1rem;
  padding-block: .2rem;
  background-color: #fff;
  color: #000;
}

h2 {
  font-size: 2rem;
  font-weight: 700;
  margin-bottom: 1rem;
  margin-top: 0;
  text-align: center;
  margin-inline: auto;
}

h3 {
  text-align: center;
  margin-inline: auto;
}

h3,
h4 {
  font-size: 1.5rem;
  font-weight: 700;
  margin-bottom: 1rem;
}

br.only-sp {
  display: none;
}
br.only-pc {
  display: block;
}

@media (480px >=width) {
  header {
    height: 60px;
  }

  section {
    &.common-inner {
      max-width: 375px;
    }
  }

  h1 {
    justify-self: center;
    font-size: 2rem;
  }

  h2 {
    font-size: 1.5rem;
  }

  h3 {
    font-size: 1rem;
  }
  br.only-sp {
    display: block;
}
br.only-pc {
    display: none;
}
}

/* Grouping content
  * ========================================================================== */

dl dl,
dl ol,
dl ul,
ol dl,
ul dl {
  margin: 0;
}

ol ol,
ol ul,
ul ol,
ul ul {
  margin: 0;
}

hr {
  height: 0;
  overflow: visible;
}

main {
  display: block;
}

nav ol,
nav ul {
  list-style: none;
  padding: 0;
}

pre {
  font-family: monospace, monospace;
  font-size: 1em;
}

/* Text-level semantics
  * ========================================================================== */

a {
  background-color: transparent;
  text-decoration: none;

  svg {
    height: 1rem;
  }
}

abbr[title] {
  text-decoration: underline;
  text-decoration: underline dotted;
}

b,
strong {
  font-weight: bolder;
}

code,
kbd,
samp {
  font-family: monospace, monospace;
  /* 1 */
  font-size: 1em;
  /* 2 */
}

small {
  font-size: 80%;
}

/* Embedded content
  * ========================================================================== */

audio,
canvas,
iframe,
img,
svg,
video {
  vertical-align: middle;
  object-fit: cover;
}

audio,
video {
  display: inline-block;
}

audio:not([controls]) {
  display: none;
  height: 0;
}

iframe,
img {
  border-style: none;
}

svg:not([fill]) {
  fill: currentColor;
}

svg:not(:root) {
  overflow: hidden;
}

/* Tabular data
  * ========================================================================== */

table {
  border-collapse: collapse;
}

th,
td {
  padding: 1rem;
  text-align: center;
  vertical-align: middle;
}

th {
  font-weight: 700;
}

/* Forms
  * ========================================================================== */

button,
input,
select,
textarea {
  margin: 0;
  padding: 8px;
  max-width: 100%;
  font-size: 0.75rem;
  border-radius: 4px;
  border: 1px solid #7E9297;
}

input :focus,
select :focus,
textarea :focus {
  border: 1px solid #292854;
}

label,
input {
  display: block;
}

label {
  font-weight: 700;
  font-size: 1rem;
  margin-bottom: 8px;
}

button {
  overflow: visible;
  text-transform: none;
  transition: ease 0.2s;
}

button,
[type="button"],
[type="reset"],
[type="submit"] {
  appearance: button;
}

fieldset {
  border: 1px solid #a0a0a0;
  padding: 0.35em 0.75em 0.625em;
}

input {
  overflow: visible;
}


legend {
  color: inherit;
  display: table;
  max-width: 100%;
  white-space: normal;
}

progress {
  display: inline-block;
  vertical-align: baseline;
}

select {
  text-transform: none;
}

textarea {
  overflow: auto;
  height: 5rem;
  resize: vertical;
}

[type="checkbox"],
[type="radio"] {
  padding: 0;
}

[type="search"] {
  appearance: textfield;
  outline-offset: -2px;
}

::-moz-focus-inner {
  border-style: none;
  padding: 0;
}

:-moz-focusring {
  outline: 1px dotted ButtonText;
}

:-moz-ui-invalid {
  box-shadow: none;
}

/* Interactive
  * ========================================================================== */

details {
  display: block;
}

dialog {
  background-color: white;
  border: solid;
  color: black;
  display: block;
  height: -moz-fit-content;
  height: -webkit-fit-content;
  height: fit-content;
  left: 0;
  margin: auto;
  padding: 1em;
  position: absolute;
  right: 0;
  width: -moz-fit-content;
  width: -webkit-fit-content;
  width: fit-content;
}

dialog:not([open]) {
  display: none;
}

summary {
  display: list-item;
}

/* card style
  * ========================================================================== */

.common-card {
  background-color: #fff;
  padding: 1.5rem;
}

/* button style
  * ========================================================================== */

.btn-common {
  display: flex;
  text-align: center;
  align-items: center;
  justify-content: center;
  border-radius: 100vmax;
  border: #fff 2px solid;
  transition: all 0.3s 0s ease;
  position: relative;

  svg {
    position: absolute;
    right: 1rem;
    top: 40%;
    width: 0.5rem;
    height: 0.8rem;
  }
}

.btn-inquiry {
  background-color: #000;
  color: #fff;

  &:hover {
    background-color: #fff;
    color: #000;
    border: #000 2px solid;

    svg {
      fill: #000;
    }
  }
}

.btn-document {
  background-color: #76BC29;
  color: #fff;

  svg {
    fill: #fff;
  }

  &:hover {
    background-color: #fff;
    color: #76BC29;
    border: #76BC29 2px solid;

    svg {
      fill: #76BC29;
    }
  }
}